---
type: api
title: Get certificate based remote clusters
description: Returns the list of certificate based remote clusters for the elasticsearch resource.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-deployment-es-resource-remote-clusters
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-deployment-es-resource-remote-clusters
products:
  - Elastic Cloud Enterprise
---

# Get certificate based remote clusters

## Paths

- `GET` `/deployments/{deployment_id}/elasticsearch/{ref_id}/remote-clusters`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment.
- `ref_id` (string)
  User-specified RefId for the Resource (or '_main' if there is only one).

## Description

Returns the list of certificate based remote clusters for the elasticsearch resource.

## Responses

#### `200`

List of certificate based remote clusters for the resource

`application/json`

- `resources` ([] RemoteResourceRef)
  The remote resources
  - `deployment_id` (string)
    The id of the deployment
  - `elasticsearch_ref_id` (string)
    The locally-unique user-specified id of an Elasticsearch Resource
  - `alias` (string)
    The alias for this remote cluster. Aliases must only contain letters, digits, dashes and underscores
  - `skip_unavailable` (boolean)
    If true, skip this cluster during search if it is disconnected. Default: false
  - `info` ({} RemoteResourceInfo)
    Information about a Remote Cluster.
    - `healthy` (boolean)
      Whether or not the remote cluster is healthy
    - `connected` (boolean)
      Whether or not there is at least one connection to the remote cluster.
    - `compatible` (boolean)
      Whether or not the remote cluster version is compatible with this cluster version.
    - `trusted` (boolean)
      Whether or not the remote cluster is trusted by this cluster.
    - `trusted_back` (boolean)
      Whether or not the remote cluster trusts this cluster back.
#### `404`

* The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)
* The Resource specified by {ref_id} cannot be found. (code: `deployments.deployment_resource_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /deployments/{deployment_id}/elasticsearch/{ref_id}/remote-clusters
```

#### curl

```curl
curl -X GET "/deployments/{deployment_id}/elasticsearch/{ref_id}/remote-clusters"
```

